
Name:           cern-afs-setserverprefs
Version:        0.1
Release:        1%{?dist}
Url:            https://gitlab.cern.ch/afs/afs-setserverprefs
Summary:        Script that tells CERN AFS client to prefer "near" servers
License:        GPL
Group:          Applications/System
Source:         afs-setserverprefs.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch: 	noarch
Requires: 	perl
%description
Script that tells AFS client to prefer "near" servers, based on a
hardcoded list of IP ranges for "far" servers. If the client's IP
falls into one of these, it prefers the "far" servers of the current
cell, else the rest. invokes "fs setserverprefs" and hence needs root.


%install
mkdir -p %{?buildroot}%{_bindir}
install -m 755 %SOURCE0 %{?buildroot}%{_bindir}/afs-setserverprefs

%files
%defattr(-,root,root,-)
%{_bindir}/afs-setserverprefs

%changelog
* Mon Jul 03 2017 Jan Iven <jan.iven@cern.ch> - 0.1-1
- initial release.

